System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Attribute System.AttributeUsage(System.AttributeTargets.Class)

For more information about using attributes, see Extending Metadata Using Attributes.

Specifies a design-time class that performs data binding of controls within a designer. This class cannot be inherited.

- Constructor
  To be added

  Initializes a new instance of the class using no parameters. This is the default constructor.

  1.0.5000.0
  2.0.0.0
- Constructor
  To be added: an object of type 'string'

  The type name for this constructor is the fully qualified name of the type, including its assembly name.

  Initializes a new instance of the class with the specified type name.

  1.0.5000.0
  2.0.0.0
- Constructor

  The syntax for this attribute is:

  [DataBindingHandlerAttribute (typeof(dataBindingHandlerType))]

  Initializes a new instance of the class of the specified .

  The for the data-binding handler.
  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.DataBindingHandlerAttribute

  This is the default attribute used when the attribute is not specified. This field is read-only.

  Defines the default attribute for the class.

  1.0.5000.0
  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Boolean `` To be added.

  Determines whether two object instances are equal.

  true if the parameter equals the object; otherwise, false.

  The object to compare to the current .
- Method
  1.0.5000.0
  2.0.0.0
  System.Int32 To be added.

  Returns the hash code for this instance.

  A 32-bit signed integer hash code.

- Property
  System.String To be added: an object of type 'string' To be added

  Gets the type name of the data-binding handler.

  1.0.5000.0
  2.0.0.0